Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.statistic.bestscore
Class BestScoreStatistic

    java.lang.Object
      org.drools.planner.benchmark.statistic.AbstractSolverStatistic
          org.drools.planner.benchmark.statistic.bestscore.BestScoreStatistic

All Implemented Interfaces:
  SolverStatistic

    public class BestScoreStatistic

extends AbstractSolverStatistic

Nested Class Summary
`protected static class` | `BestScoreStatistic.BestScoreScvLine`

Nested classes/interfaces inherited from class org.drools.planner.benchmark.statistic.AbstractSolverStatistic
`AbstractSolverStatistic.AbstractSolverStatisticScvLine`

Field Summary

Fields inherited from class org.drools.planner.benchmark.statistic.AbstractSolverStatistic
`solverStatisticType`

Constructor Summary
`BestScoreStatistic()`

Method Summary
`void` | `addListener(Solver solver, String configName)`
`void` | `removeListener(Solver solver, String configName)`
`protected CharSequence` | `writeCsvStatistic(File solverStatisticFilesDirectory, String baseName)`
`protected CharSequence` | `writeGraphStatistic(File solverStatisticFilesDirectory, String baseName)`

Methods inherited from class org.drools.planner.benchmark.statistic.AbstractSolverStatistic
`writeStatistic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BestScoreStatistic

    public BestScoreStatistic()

Method Detail

### addListener

    public void addListener(Solver solver,
                            String configName)

### removeListener

    public void removeListener(Solver solver,
                               String configName)

### writeCsvStatistic

    protected CharSequence writeCsvStatistic(File solverStatisticFilesDirectory,
                                             String baseName)

  Specified by:
    `writeCsvStatistic` in class `AbstractSolverStatistic`

### writeGraphStatistic

    protected CharSequence writeGraphStatistic(File solverStatisticFilesDirectory,
                                               String baseName)

  Specified by:
    `writeGraphStatistic` in class `AbstractSolverStatistic`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.